%define pcfdir %_x11libdir/X11/fonts/tv-fonts

Name: tv-fonts-bitmap
Version: 1.1
Release: alt1

Summary: Fonts for TV applications
Summary (ru_RU.UTF-8): Шрифты для ТВ-приложений
License: X11/MIT
Group: System/Fonts/X11 bitmap
Url: http://linux.bytesex.org/xawtv/tvfonts.html
Source: tv-fonts-%version.tar.bz2
BuildArch: noarch
BuildRequires: XFree86-utils
PreReq: chkfontpath

%description
This package includes some X11 bitmap fonts for TV applications:
large fonts frequently used in on-screen displays, teletext font,

%description -l ru_RU.UTF-8
Пакет содержит несколько растровых шрифтов для ТВ-приложений.
Большие шрифты часто используются для показа экранного меню и
телетекста.

%prep
%setup -q -n tv-fonts-%version

%build
make

%install
mkdir -p $RPM_BUILD_ROOT%pcfdir
install -p -m644 *.pcf.gz $RPM_BUILD_ROOT%pcfdir

cd $RPM_BUILD_ROOT%pcfdir
mkfontdir >& /dev/null


%post
%_bindir/fc-cache %pcfdir
/usr/sbin/chkfontpath -q --add %pcfdir

%postun
if [ "$1" = 0 ]; then
	/usr/sbin/chkfontpath -q --remove %pcfdir
fi

%files
%pcfdir

%changelog
* Sat Jan 08 2005 Vyacheslav Dikonov <slava@altlinux.ru> 1.1-alt1
- ALTLinux build
